=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with sphinxdoc --with pkgkde_symbolshelper --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir obj-$(DEB_HOST_GNU_TYPE)/config
	XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config dh_auto_test --max-parallel=1
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config
else
	@echo "** tests disabled"
endif

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEB_VERSION)

override_dh_auto_build:
	optipng doc/images/*png
	dh_auto_build -- doc
	dh_auto_build --

override_dh_auto_build-indep:
	optipng doc/images/*png
	dh_auto_build -- doc

override_dh_auto_build-arch:
	dh_auto_build -- doc-man
	dh_auto_build --

override_dh_install:
	dh_install --list-missing \
		-Xusr/share/doc/client/latex \
		-Xusr/share/doc/client/qthelp \
		-Xusr/share/doc/client/html \
		-Xusr/share/man/man1/owncloudcmd.1 \
		-Xusr/share/man/man1/owncloud.1

override_dh_python3:
	dh_python3 -i -p nautilus-owncloud usr/share/nautilus-python/extensions

override_dh_python3-arch:

override_dh_sphinxdoc-arch:
