## owncloud-client 2.2.1+dfsg

=== debian/changelog ===
owncloud-client (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Delete upstream approved patches
  * Update patch hunks

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 08 Jun 2016 11:27:13 +0200

owncloud-client (2.2.0+dfsg-1) unstable; urgency=medium

  * New stable upstream - release to unstable.
  * Update copyright file
  * Update patches:
    - remove patch that was applied upstream (fix_typo.patch)
    - update other patch (upstream changed the surrounding a little bit)
  * Add patch to keep tests running without a XServer (approved upsteram).
  * Bump to Standards-Version 3.9.8
    - install additional documentation provided by owncloud-client-doc 
      under /usr/share/doc/owncloud-client

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 12 May 2016 18:22:31 +0200

owncloud-client (2.1.1+dfsg-2) experimental; urgency=medium

  * Added dolphin plugin.
  * Updated VCS links to secure protocol
  * Added nautilus to Depends for natuilus plugin
    the plugin only makes sense with nautilus installed

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 25 Feb 2016 23:47:37 +0100
