=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                dh-python,
+               extra-cmake-modules (>= 5.16),
                kdelibs5-dev,
+               kio-dev,
                libcmocka-dev,
                libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
@@ -26,9 +28,9 @@
                      texlive-latex-recommended,
                      xsltproc
 X-Python3-Version: >= 3.0
-Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-client.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-owncloud/owncloud-client.git
-Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-owncloud/owncloud-client.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-owncloud/owncloud-client.git
+Standards-Version: 3.9.8
 Homepage: http://owncloud.org/sync-clients/
 
 Package: owncloud-client
@@ -64,8 +66,8 @@
 Package: libowncloudsync0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libocsync0, libowncloudsync0v5
-Breaks: libocsync0, libowncloudsync0v5
+Replaces: libocsync0
+Breaks: libocsync0
 Section: libs
 Description: ownCloudSync folder synchronization - libraries
  The ownCloudSync system lets you always have your latest files wherever
@@ -122,10 +124,30 @@
  This package provides the command line client specialising in
  synchronizing with cloud storage provided by ownCloud.
 
+Package: dolphin-owncloud
+Architecture: any
+Section: kde
+Depends: dolphin (>= 4:15.12.1),
+         owncloud-client,
+         libowncloudsync0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Enhances: dolphin
+Description: ownCloud integration for Dolphin
+ The ownCloudSync system lets you always have your latest files wherever
+ you are. Just specify one or more folders on the local machine to and a server
+ to synchronize to. You can configure more computers to synchronize to the same
+ server and any change to the files on one computer will silently and reliably
+ flow across to every other.
+ .
+ Dolphin ownCloud is an extension that integrates the ownCloud web service with
+ your Plasma Desktop (KDE).
+
 Package: nautilus-owncloud
 Architecture: all
 Section: gnome
-Depends: owncloud-client (>= ${source:Version}),
+Depends: nautilus,
+         owncloud-client (>= ${source:Version}),
          owncloud-client (<< ${source:Version}.1~),
          python-nautilus,
          ${misc:Depends},
