## owncloud-client 2.2.2+dfsg

=== debian/changelog ===
owncloud-client (2.2.2+dfsg-1ubuntu0.2) yakkety; urgency=medium

  * Backport upstream change to update the tray menu only on demand
    (update_menu_only_on_demand.patch). This should fix the remaining
    issues described in LP: #1635577.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 19 Dec 2016 18:37:49 +0300

owncloud-client (2.2.2+dfsg-1ubuntu0.1) yakkety; urgency=medium

  * Disable the dbustray workaround, it is not needed with Qt 5.6 and causes
    issues under Unity (disable_dbustray_workaround.patch; LP: #1635577).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 30 Nov 2016 23:59:46 +0300

owncloud-client (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Release to unstable, the only reason to push to experimental that this
    needs to go through the NEW queue.

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 24 Jun 2016 18:28:04 +0200

owncloud-client (2.2.1+dfsg-2) experimental; urgency=medium

  * Add nemo-owncloud package.
  * Split data part out of nautilis-owncloud into owncloud-client-data.
  * Add texlive-generic-extra to build to unstable again

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 21 Jun 2016 13:22:09 +0200
