=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: owncloud-client
 Section: net
 Priority: optional
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -13,17 +14,18 @@
                libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
                libqt5webkit5-dev,
+               libsqlite3-dev,
                libssl-dev (>> 1.0.0),
-               libsqlite3-dev,
+               optipng,
                pkg-kde-tools,
-               optipng,
+               python-sphinx | python3-sphinx,
                python3-all,
-               python-sphinx | python3-sphinx,
                qt5keychain-dev,
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
 Build-Depends-Indep: texlive-fonts-recommended,
+                     texlive-generic-extra,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      xsltproc
@@ -94,6 +96,20 @@
  .
  This package contains the library development files.
 
+Package: owncloud-client-data
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: nautilus-owncloud (<< 2.2.1+dfsg-2)
+Breaks: nautilus-owncloud (<< 2.2.1+dfsg-2)
+Description: ownCloudSync folder synchronization - shared data
+ The ownCloudSync system lets you always have your latest files wherever
+ you are. Just specify one or more folders on the local machine to and a server
+ to synchronize to. You can configure more computers to synchronize to the same
+ server and any change to the files on one computer will silently and reliably
+ flow across to every other.
+ .
+ This package provides data that is shared between different packages.
+
 Package: owncloud-client-l10n
 Architecture: all
 Depends: ${misc:Depends}
@@ -128,8 +144,8 @@
 Architecture: any
 Section: kde
 Depends: dolphin (>= 4:15.12.1),
+         libowncloudsync0 (= ${binary:Version}),
          owncloud-client,
-         libowncloudsync0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Enhances: dolphin
@@ -147,8 +163,9 @@
 Architecture: all
 Section: gnome
 Depends: nautilus,
+         owncloud-client (<< ${source:Version}.1~),
          owncloud-client (>= ${source:Version}),
-         owncloud-client (<< ${source:Version}.1~),
+         owncloud-client-data,
          python-nautilus,
          ${misc:Depends},
          ${python3:Depends}
@@ -163,3 +180,23 @@
  .
  Nautilus ownCloud is an extension that integrates the ownCloud web service with
  your GNOME Desktop.
+
+Package: nemo-owncloud
+Architecture: all
+Depends: nemo,
+         nemo-python,
+         owncloud-client (<< ${source:Version}.1~),
+         owncloud-client (>= ${source:Version}),
+         owncloud-client-data,
+         ${misc:Depends},
+         ${python3:Depends}
+Enhances: nemo
+Description: ownCloud integration for Nemo
+ The ownCloudSync system lets you always have your latest files wherever
+ you are. Just specify one or more folders on the local machine to and a server
+ to synchronize to. You can configure more computers to synchronize to the same
+ server and any change to the files on one computer will silently and reliably
+ flow across to every other.
+ .
+ Nemo ownCloud is an extension that integrates the ownCloud web service with
+ your Cinnamon Desktop.
