=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEB_VERSION)
+	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEB_VERSION) -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_GNU_TYPE)/qt5/plugins
 
 override_dh_auto_build:
 	optipng doc/images/*png
@@ -34,6 +34,7 @@
 	dh_auto_build --
 
 override_dh_install:
+	dh_install
 	dh_install --list-missing \
 		-Xusr/share/doc/client/latex \
 		-Xusr/share/doc/client/qthelp \
